[ 上一页 ] [ 目录 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 下一页 ]


Debian GNU/Linux 3.1 ('sarge'), S/390发布说明
第 5 章 - 在sarge中应注意的问题


5.1 Python软件包的变化

任何sarge的python2.X软件包都不包含'profile'和'pstats'模块,因为它们注册在一个不与DFSG相容的许可协议下(详情查看bug#293932)。这两个模块可在Debian archive的non-free部分中以python-profiler和python 2.X-profiler软件包的形式找到。


5.2 升级到2.6内核

2.6系列内核与2.4系列相比有重大改变。模块被改名,许多驱动程序被部分或全部改写。因此升级到2.6内核不那么容易。这一部分旨在让您了解一些需要注意的地方。

强烈建议您不要把升级到2.6内核当作从woody升级到sarge的一部分。您应该确保系统在原有内核或sarge的2.4内核上正常工作,然后升级到2.6内核。要把升级内核当成一项独立任务!

如果您编译新内核,应确保在重启之前安装了module-init-tools。这一软件包在2.6内核下取代modutils。如果您安装kernel-image之一,这一软件包会由于依赖关系被自动安装。

如果您用LVM,就应当在重启前安装lvm2,因为2.6内核不直接支持LVM1。lvm2(dm-mod模块)被用来访问LVM1卷。您可以安装lvm10--一个在启动时检查哪种内核被使用,然后执行相应模块的脚本。

注意一些模块名称有所改变,请检查修改/etc/modules(在启动时自动执行的模块列表),把旧名改为新名。

注意在安装完2.6内核重启之前,要确保有一种恢复措施。首先,确保启动程序可以新内核和旧内核(2.4内核)启动。还需要确保手头有紧急修复软盘或光盘,以防万一启动程序的错误配置导致无法从旧内核启动。


5.2.1 升级到2.6内核可能会启用udev

udev是devfs在用户层的实现。它挂载在/dev目录并把它与内核支持的硬件相关联。它与hotplug一起来检测新设备,动态地针对模块的装载和卸载进行目录配置。udev仅能在2.6内核下运行。

由于udev会因为依赖关系,如gnome,而被自动安装。升级至2.6内核时可能会启用udev

虽然udev已经过了广泛的测试,但您还是可能在某些设备上遇到一些必须修正小问题。最常见的问题是某个设备的权限变更。某些状况下,有些设备是不会被默认建立的。(如:/dev/video/dev/radio)。

udev提供处理这些问题的配置方案。请查看 udev(8)/etc/udev 来取得详细信息。


[ 上一页 ] [ 目录 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 下一页 ]


Debian GNU/Linux 3.1 ('sarge'), S/390发布说明

$Id: release-notes.zh_CN.sgml,v 1.9 2005/06/08 05:49:47 liling Exp $

Josip Rodin, Bob Hilliard, Adam Di Carlo, Anne Bezemer, Rob Bradford (current), Frans Pop (current)
debian-doc@lists.debian.org